Index: /branches/version-2_5-dev/html/mypage/history_detail.php
===================================================================
--- /branches/version-2_5-dev/html/mypage/history_detail.php	(revision 19881)
+++ /branches/version-2_5-dev/html/mypage/history_detail.php	(revision 19881)
@@ -0,0 +1,39 @@
+<?php
+/**
+ *
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ 
+ *
+ * モバイルサイト/受注履歴詳細
+ */
+
+// {{{ requires
+require_once("../require.php");
+require_once(CLASS_EX_REALDIR . "page_extends/mypage/LC_Page_Mypage_HistoryDetail_Ex.php");
+
+// }}}
+// {{{ generate page
+
+$objPage = new LC_Page_Mypage_HistoryDetail_Ex();
+register_shutdown_function(array($objPage, "destroy"));
+$objPage->init();
+$objPage->process();
+?>
Index: /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry.php	(revision 19853)
+++ /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry.php	(revision 19881)
@@ -222,5 +222,4 @@
         // 仮会員登録の場合
         if(CUSTOMER_CONFIRM_MAIL == true) {
-            $sqlval["mailmaga_flg"] = $this->lfChangeMailFlg($sqlval["mailmaga_flg"]);
             $sqlval["status"] = "1";				// 仮会員
         } else {
@@ -315,5 +314,5 @@
         
         // 現会員の判定 → 現会員もしくは仮登録中は、メアド一意が前提になってるので同じメアドで登録不可
-        $register_user_flg = $this->lfCheckRegisterUserForEmail($arrRet["email"]);
+        $register_user_flg =  SC_Helper_Customer_Ex::lfCheckRegisterUserFromEmail($arrRet["email"]);
         switch($register_user_flg) {
             case 1:
@@ -328,50 +327,4 @@
         return $objErr->arrErr;
     }
-
-    /**
-     *   emailアドレスから、登録済み会員や退会済み会員をチェックする
-     *   
-     *   @return integer  0:登録可能     1:登録済み   2:再登録制限期間内削除ユーザー
-     */
-    function lfCheckRegisterUserForEmail($email){
-        $return = 0;
-        
-        $objQuery = new SC_Query();
-        $arrRet = $objQuery->select("email, update_date, del_flg"
-                                    ,"dtb_customer"
-                                    ,"email = ? OR email_mobile = ? ORDER BY del_flg"
-                                    ,array($email, $email)
-                                    );
-
-        if(count($arrRet) > 0) {
-            if($arrRet[0]['del_flg'] != '1') {
-                // 会員である場合
-                if (!isset($objErr->arrErr['email'])) $objErr->arrErr['email'] = "";
-                $return = 1;
-            } else {
-                // 退会した会員である場合
-                $leave_time = SC_Utils_Ex::sfDBDatetoTime($arrRet[0]['update_date']);
-                $now_time = time();
-                $pass_time = $now_time - $leave_time;
-                // 退会から何時間-経過しているか判定する。
-                $limit_time = ENTRY_LIMIT_HOUR * 3600;
-                if($pass_time < $limit_time) {
-                    if (!isset($objErr->arrErr['email'])) $objErr->arrErr['email'] = "";
-                    $return = 2;
-                }
-            }
-        }
-        return $return;
-    }
-    
-    //確認ページ用パスワード表示用
-    function lfPassLen($passlen){
-        $ret = "";
-        for ($i=0;$i<$passlen;true){
-        $ret.="*";
-        $i++;
-        }
-        return $ret;
-    }
     
     function lfCheckReferer(){
@@ -386,19 +339,4 @@
         }
     }
-    
-    function lfChangeMailFlg($mailmaga_flg){
-        switch($mailmaga_flg) {
-            case 1:
-                $mailmaga_flg = 4;
-                break;
-            case 2:
-                $mailmaga_flg = 5;
-                break;
-            default:
-                $mailmaga_flg = 6;
-                break;
-        }
-        return $mailmaga_flg;
-    }
 }
 ?>
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php	(revision 19807)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php	(revision 19881)
@@ -45,5 +45,9 @@
         parent::init();
         $this->tpl_title = 'MYページ';
-        $this->tpl_subtitle = '退会手続き(完了ページ)';
+        if ( Net_UserAgent_Mobile::isMobile() === true){
+            $this->tpl_title .= '/退会手続き(完了ページ)';
+        } else {
+            $this->tpl_subtitle = '退会手続き(完了ページ)';
+        }
         $this->tpl_navi = TEMPLATE_REALDIR . 'mypage/navi.tpl';
         $this->tpl_mypageno = 'refusal';
@@ -68,6 +72,4 @@
      */
     function action() {
-        //$objView = new SC_SiteView();
-
         $objCustomer = new SC_Customer();
         //マイページトップ顧客情報表示用
@@ -75,47 +77,4 @@
         $this->CustomerName2 = $objCustomer->getvalue('name02');
         $this->CustomerPoint = $objCustomer->getvalue('point');
-
-        //$objView->assignobj($this);
-        //$objView->display(SITE_FRAME);
-    }
-
-    /**
-     * モバイルページを初期化する.
-     *
-     * @return void
-     */
-    function mobileInit() {
-        $this->tpl_mainpage = 'mypage/refusal_complete.tpl';
-        $this->tpl_title = "MYページ/退会手続き(完了ページ)";
-        $this->point_disp = false;
-    }
-
-    /**
-     * Page のプロセス(モバイル).
-     *
-     * @return void
-     */
-    function mobileProcess() {
-         parent::mobileProcess();
-        $this->mobileAction();
-        $this->sendResponse();
-    }
-
-    /**
-     * Page のAction(モバイル).
-     *
-     * @return void
-     */
-    function mobileAction() {
-        //$objView = new SC_MobileView();
-
-        $objCustomer = new SC_Customer();
-        //マイページトップ顧客情報表示用
-        $this->CustomerName1 = $objCustomer->getvalue('name01');
-        $this->CustomerName2 = $objCustomer->getvalue('name02');
-        $this->CustomerPoint = $objCustomer->getvalue('point');
-
-        //$objView->assignobj($this);
-        //$objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 19833)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 19881)
@@ -87,54 +87,4 @@
 
     /**
-     * モバイルページを初期化する.
-     *
-     * @return void
-     */
-    function mobileInit() {
-        $this->init();
-    }
-
-    /**
-     * Page のプロセス(モバイル).
-     *
-     * @return void
-     */
-    function mobileProcess() {
-        parent::mobileProcess();
-        $this->mobileAction();
-        $this->sendResponse();
-    }
-
-    /**
-     * Page のAction(モバイル).
-     *
-     * @return void
-     */
-    function mobileAction() {
-
-        $objCustomer = new SC_Customer();
-        $objCartSess = new SC_CartSession();
-
-        //受注詳細データの取得
-        $arrDisp = $this->lfGetOrderDetail($_POST['order_id']);
-
-        //ログインしていない、またはDBに情報が無い場合
-        if (!$objCustomer->isLoginSuccess(true) or count($arrDisp) == 0){
-            SC_Utils_Ex::sfDispSiteError(CUSTOMER_ERROR);
-        }
-
-        for($num = 0; $num < count($arrDisp); $num++) {
-            $product_id = $arrDisp[$num]['product_id'];
-            $product_class_id = $arrDisp[$num]['product_class_id'];
-            $cate_id1 = $arrDisp[$num]['classcategory_id1'];
-            $cate_id2 = $arrDisp[$num]['classcategory_id2'];
-            $quantity = $arrDisp[$num]['quantity'];
-
-            $objCartSess->addProduct(array($product_id, $product_class_id, $cate_id1, $cate_id2), $quantity);
-        }
-        $this->objDisplay->redirect($this->getLocation(MOBILE_CART_URL_PATH));
-    }
-
-    /**
      * デストラクタ.
      *
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php	(revision 19807)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php	(revision 19881)
@@ -67,52 +67,4 @@
      */
     function action() {
-        //$objView = new SC_SiteView();
-        $objCustomer = new SC_Customer();
-
-        //ログイン判定
-        if (!$objCustomer->isLoginSuccess()){
-            SC_Utils_Ex::sfDispSiteError(CUSTOMER_ERROR);
-        } else {
-            //マイページトップ顧客情報表示用
-            $this->tpl_login = true;
-            $this->CustomerName1 = $objCustomer->getvalue('name01');
-            $this->CustomerName2 = $objCustomer->getvalue('name02');
-            $this->CustomerPoint = $objCustomer->getvalue('point');
-        }
-
-        //$objView->assignobj($this);
-        //$objView->display(SITE_FRAME);
-    }
-
-    /**
-     * モバイルページを初期化する.
-     *
-     * @return void
-     */
-    function mobileInit() {
-        $this->init();
-        $this->tpl_mainpage = 'mypage/change_complete.tpl';
-        $this->tpl_title = 'MYページ/会員登録内容変更(完了ページ)';
-    }
-
-    /**
-     * Page のプロセス(モバイル).
-     *
-     * @return void
-     */
-    function mobileProcess() {
-        parent::mobileProcess();
-        $this->mobileAction();
-        $this->sendResponse();
-    }
-
-    /**
-     * Page のAction(モバイル).
-     *
-     * @return void
-     */
-    function mobileAction() {
-
-        //$objView = new SC_MobileView();
         $objCustomer = new SC_Customer();
 
@@ -129,7 +81,4 @@
             $this->CustomerPoint = $objCustomer->getvalue('point');
         }
-
-        //$objView->assignobj($this);
-        //$objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 19807)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 19881)
@@ -64,5 +64,9 @@
     function process() {
         parent::process();
-        $this->action();
+        if (Net_UserAgent_Mobile::isMobile() === true){
+            $this->mobileAction();
+        } else {
+            $this->action();
+        }
         $this->sendResponse();
     }
@@ -75,5 +79,4 @@
     function action() {
 
-        //$objView = new SC_SiteView();
         $objQuery = new SC_Query();
         $objCustomer = new SC_Customer();
@@ -122,29 +125,5 @@
         $objDb = new SC_Helper_DB_Ex();
         $this->arrPayment = $objDb->sfGetIDValueList("dtb_payment", "payment_id", "payment_method");
-        //$objView->assignobj($this);				//$objpage内の全てのテンプレート変数をsmartyに格納
-        //$objView->display(SITE_FRAME);				//パスとテンプレート変数の呼び出し、実行
-    }
-
-    /**
-     * モバイルページを初期化する.
-     *
-     * @return void
-     */
-    function mobileInit() {
-        $this->init();
-        $this->tpl_mainpage = 'mypage/index.tpl';
-        $this->tpl_title = 'MYページ/購入履歴一覧';
-        $this->httpCacheControl('nocache');
-    }
-
-    /**
-     * Page のプロセス(モバイル).
-     *
-     * @return void
-     */
-    function mobileProcess() {
-        parent::mobileProcess();
-        $this->mobileAction();
-        $this->sendResponse();
+
     }
     
@@ -155,5 +134,4 @@
      */
     function mobileAction() {
-        //$objView = new SC_MobileView();
         $objQuery = new SC_Query();
         $objCustomer = new SC_Customer();
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 19807)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 19881)
@@ -44,6 +44,4 @@
     function init() {
         parent::init();
-        $this->tpl_title = 'MYページ';
-        $this->tpl_subtitle = '購入履歴詳細';
         $this->tpl_navi = TEMPLATE_REALDIR . 'mypage/navi.tpl';
         $this->tpl_mainno = 'mypage';
@@ -53,4 +51,6 @@
         $this->arrMAILTEMPLATE = $masterData->getMasterData("mtb_mail_template");
         $this->arrPref = $masterData->getMasterData('mtb_pref');
+        
+        $this->isMobile = Net_UserAgent_Mobile::isMobile();
    }
 
@@ -62,5 +62,9 @@
     function process() {
         parent::process();
-        $this->action();
+        if ( $this->isMobile === false ){
+            $this->action();
+        } else {
+            $this->mobileAction();
+        }
         $this->sendResponse();
     }
@@ -72,5 +76,4 @@
      */
     function action() {
-        //$objView = new SC_SiteView();
         $objQuery = new SC_Query();
         $objCustomer = new SC_Customer();
@@ -115,6 +118,4 @@
         $this->tpl_arrMailHistory = $this->lfGetMailHistory($orderId);
 
-        //$objView->assignobj($this);
-        //$objView->display(SITE_FRAME);
     }
 
@@ -129,27 +130,4 @@
 
     /**
-     * モバイルページを初期化する.
-     *
-     * @return void
-     */
-    function mobileInit() {
-        $this->init();
-        $this->tpl_mainpage = MOBILE_TEMPLATE_REALDIR . 'mypage/history.tpl';
-        $this->tpl_title = 'MYページ/購入履歴一覧';
-        $this->httpCacheControl('nocache');
-    }
-
-    /**
-     * Page のプロセス(モバイル).
-     *
-     * @return void
-     */
-    function mobileProcess() {
-        parent::mobileProcess();
-        $this->mobileAction();
-        $this->sendResponse();
-    }
-
-    /**
      * Page のAction(モバイル).
      *
@@ -159,5 +137,4 @@
         define ("HISTORY_NUM", 5);
 
-        //$objView = new SC_MobileView();
         $objQuery = new SC_Query();
         $objCustomer = new SC_Customer();
@@ -210,6 +187,5 @@
 
         $this->tpl_strnavi = $previous . $bar . $next;
-        //$objView->assignobj($this);				//$objpage内の全てのテンプレート変数をsmartyに格納
-        //$objView->display(SITE_FRAME);				//パスとテンプレート変数の呼び出し、実行
+
     }
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php	(revision 19880)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php	(revision 19881)
@@ -45,5 +45,9 @@
         parent::init();
         $this->tpl_title = 'MYページ';
-        $this->tpl_subtitle = '退会手続き(入力ページ)';
+        if ( Net_UserAgent_Mobile::isMobile() === true){
+            $this->tpl_title .= '/退会手続き(入力ページ)';
+        } else {
+            $this->tpl_subtitle = '退会手続き(入力ページ)';
+        }
         $this->tpl_navi = TEMPLATE_REALDIR . 'mypage/navi.tpl';
         $this->tpl_mainno = 'mypage';
@@ -58,5 +62,9 @@
     function process() {
         parent::process();
-        $this->action();
+        if ( Net_UserAgent_Mobile::isMobile() === true){
+            $this->mobileAction();
+        } else {
+            $this->action();            
+        }
         $this->sendResponse();
     }
@@ -68,7 +76,4 @@
      */
     function action() {
-        //$objView = new SC_SiteView();
-        $objCustomer = new SC_Customer();
-        $objQuery = new SC_Query();
         $objSiteSess = new SC_SiteSession();
         
@@ -76,13 +81,5 @@
         $this->tpl_login = $objCustomer->isLoginSuccess();
 
-        //ログイン判定
-        if (!$objCustomer->isLoginSuccess()){
-            SC_Utils_Ex::sfDispSiteError(CUSTOMER_ERROR);
-        }else {
-            //マイページトップ顧客情報表示用
-            $this->CustomerName1 = $objCustomer->getvalue('name01');
-            $this->CustomerName2 = $objCustomer->getvalue('name02');
-            $this->CustomerPoint = $objCustomer->getvalue('point');
-        }
+        $this->lfCheckLogin();
 
         if (!isset($_POST['mode'])) $_POST['mode'] = "";
@@ -104,39 +101,7 @@
             // 正しい遷移かどうかをチェック
             $this->lfIsValidMovement($objSiteSess);
-
-            //会員削除
-            $objQuery->exec("UPDATE dtb_customer SET del_flg=1, update_date=now() WHERE customer_id=?", array($objCustomer->getValue('customer_id')));
-
-            $objCustomer->EndSession();
-            //完了ページへ
-            SC_Response_Ex::sendRedirect('refusal_complete.php');
-            exit;
+            $this->lfDeleteCustomer();    //会員削除
         }
 
-        //$objView->assignobj($this);
-        //$objView->display(SITE_FRAME);
-    }
-
-    /**
-     * モバイルページを初期化する.
-     *
-     * @return void
-     */
-    function mobileInit() {
-        $this->init();
-        $this->tpl_mainpage = 'mypage/refusal.tpl';
-        $this->tpl_title = "MYページ/退会手続き(入力ページ)";
-
-    }
-
-    /**
-     * Page のプロセス(モバイル).
-     *
-     * @return void
-     */
-    function mobileProcess() {
-        parent::mobileProcess();
-        $this->mobileAction();
-        $this->sendResponse();
     }
 
@@ -148,17 +113,7 @@
     function mobileAction() {
 
-        //$objView = new SC_MobileView();
-        $objCustomer = new SC_Customer();
         $objQuery = new SC_Query();
 
-        //ログイン判定
-        if (!$objCustomer->isLoginSuccess(true)){
-            SC_Utils_Ex::sfDispSiteError(CUSTOMER_ERROR);
-        }else {
-            //マイページトップ顧客情報表示用
-            $this->CustomerName1 = $objCustomer->getvalue('name01');
-            $this->CustomerName2 = $objCustomer->getvalue('name02');
-            $this->CustomerPoint = $objCustomer->getvalue('point');
-        }
+        $this->lfCheckLogin();
 
         if (isset($_POST['no'])) {
@@ -166,16 +121,7 @@
             exit;
         } elseif (isset($_POST['complete'])){
-            //会員削除
-            $objQuery->exec("UPDATE dtb_customer SET del_flg=1, update_date=now() WHERE customer_id=?", array($objCustomer->getValue('customer_id')));
-
-            $where = "email = ?";
-            $objCustomer->EndSession();
-            //完了ページへ
-            SC_Response_Ex::sendRedirect('refusal_complete.php');
-            exit;
+            $this->lfDeleteCustomer();    //会員削除
         }
 
-        //$objView->assignobj($this);
-        //$objView->display(SITE_FRAME);
     }
 
@@ -202,4 +148,30 @@
         }
     }
+    
+    function lfCheckLogin(){
+        $objCustomer = new SC_Customer();
+        //ログイン判定
+        if (!$objCustomer->isLoginSuccess()){      
+            SC_Utils_Ex::sfDispSiteError(CUSTOMER_ERROR);
+        }else {
+            //マイページトップ顧客情報表示用
+            $this->CustomerName1 = $objCustomer->getvalue('name01');
+            $this->CustomerName2 = $objCustomer->getvalue('name02');
+            $this->CustomerPoint = $objCustomer->getvalue('point');
+        }
+    }
+    
+    function lfDeleteCustomer(){
+        $objQuery = new SC_Query();
+        $objCustomer = new SC_Customer();
+        //会員削除
+        $objQuery->exec("UPDATE dtb_customer SET del_flg=1, update_date=now() WHERE customer_id=?", array($objCustomer->getValue('customer_id')));
+
+        $objCustomer->EndSession();
+        //完了ページへ
+        SC_Response_Ex::sendRedirect('refusal_complete.php');
+        exit;
+    }
+    
 }
 ?>
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_HistoryDetail.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_HistoryDetail.php	(revision 19805)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_HistoryDetail.php	(revision 19881)
@@ -44,4 +44,7 @@
     function init() {
         parent::init();
+        $this->tpl_mainpage = 'mypage/history_detail.tpl';
+        $this->tpl_title = 'MYページ';
+        $this->tpl_subtitle = '購入履歴詳細';
     }
 
@@ -62,37 +65,5 @@
      * @return void
      */
-    function action() {}
-
-    /**
-     * モバイルページを初期化する.
-     *
-     * @return void
-     */
-    function mobileInit() {
-        $this->init();
-        $this->tpl_mainpage = 'mypage/history_detail.tpl';
-        $this->tpl_title = 'MYページ';
-        $this->tpl_subtitle = '購入履歴詳細';
-    }
-
-    /**
-     * Page のプロセス(モバイル).
-     *
-     * @return void
-     */
-    function mobileProcess() {
-        parent::mobileProcess();
-        $this->mobileAction();
-        $this->sendResponse();
-    }
-
-    /**
-     * Page のAction(モバイル).
-     *
-     * @return void
-     */
-    function mobileAction() {
-
-        //$objView = new SC_MobileView();
+    function action() {
         $objQuery = new SC_Query();
         $objCustomer = new SC_Customer();
@@ -124,7 +95,4 @@
             $this->CustomerPoint = $objCustomer->getvalue('point');
         }
-
-        //$objView->assignobj($this);
-        //$objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Customer.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Customer.php	(revision 19864)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Customer.php	(revision 19881)
@@ -94,3 +94,43 @@
     }
     
+    /**
+     *   emailアドレスから、登録済み会員や退会済み会員をチェックする
+     *	 
+     *	 @param string $email  メールアドレス
+     *   @return integer  0:登録可能     1:登録済み   2:再登録制限期間内削除ユーザー
+     */
+    function lfCheckRegisterUserFromEmail($email){
+        $return = 0;
+        
+        $objQuery =& SC_Query::getSingletonInstance();
+        $arrRet = $objQuery->select("email, update_date, del_flg"
+                                    ,"dtb_customer"
+                                    ,"email = ? OR email_mobile = ? ORDER BY del_flg"
+                                    ,array($email, $email)
+                                    );
+
+        if(count($arrRet) > 0) {
+            if($arrRet[0]['del_flg'] != '1') {
+                // 会員である場合
+                if (!isset($objErr->arrErr['email'])) $objErr->arrErr['email'] = "";
+                $return = 1;
+            } else {
+                // 退会した会員である場合
+                $leave_time = SC_Utils_Ex::sfDBDatetoTime($arrRet[0]['update_date']);
+                $now_time = time();
+                $pass_time = $now_time - $leave_time;
+                // 退会から何時間-経過しているか判定する。
+                $limit_time = ENTRY_LIMIT_HOUR * 3600;
+                if($pass_time < $limit_time) {
+                    if (!isset($objErr->arrErr['email'])) $objErr->arrErr['email'] = "";
+                    $return = 2;
+                }
+            }
+        }
+        return $return;
+    }
+    
+    
+    
+    
 }
Index: /branches/version-2_5-dev/data/Smarty/templates/default/mypage/change.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/mypage/change.tpl	(revision 19807)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/mypage/change.tpl	(revision 19881)
@@ -34,10 +34,8 @@
   <input type="hidden" name="mode" value="confirm" />
   <input type="hidden" name="customer_id" value="<!--{$arrForm.customer_id|h}-->" />
+  <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
     <table summary="会員登録内容変更 " class="delivname">
       <!--{include file="`$smarty.const.TEMPLATE_REALDIR`frontparts/form_personal_input.tpl" flgFields=3 emailMobile=true prefix=""}-->
     </table>
-    <!--{if 'sfGMOMypageDisplay'|function_exists}-->
-      <!--{'sfGMOMypageDisplay'|call_user_func}-->
-    <!--{/if}-->
     <div class="tblareabtn">
       <input type="image" onmouseover="chgImgImageSubmit('<!--{$TPL_DIR}-->img/button/btn_confirm_on.gif',this)" onmouseout="chgImgImageSubmit('<!--{$TPL_DIR}-->img/button/btn_confirm.gif',this)" src="<!--{$TPL_DIR}-->img/button/btn_confirm.gif" class="box150" alt="確認ページへ" name="refusal" id="refusal" />
Index: anches/version-2_5-dev/data/Smarty/templates/mobile/mypage/set1.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/set1.tpl	(revision 19835)
+++ 	(revision )
@@ -1,75 +1,0 @@
-<!--{*
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-*}-->
-<div align="center">登録内容変更 2/3</div>
-<hr>
-<form name="form1" method="post" action="?">
-	<input type="hidden" name="mode" value="set2">
-
-	<font color="#FF0000">*は必須項目です。</font><br>
-	<br>
-
-	【性別】<font color="#FF0000">*</font><br>
-	<font color="#FF0000"><!--{$arrErr.sex}--></font>
-	<input type="radio" name="sex" value="1" <!--{if $arrForm.sex eq "1"}-->checked<!--{/if}--> />男性&nbsp;
-	<input type="radio" name="sex" value="2" <!--{if $arrForm.sex eq "2"}-->checked<!--{/if}--> />女性<br>
-
-	【生年月日】<br>
-	<font color="#FF0000"><!--{$arrErr.year}--><!--{$arrErr.month}--><!--{$arrErr.day}--></font>
-	<input type="text" name="year" value="<!--{$arrForm.year|h}-->" size="4" maxlength="4" istyle="4">年<br>
-	<select name="month">
-		<!--{html_options options=$arrMonth selected=$arrForm.month}-->
-	</select>月<br>
-	<select name="day">
-		<!--{html_options options=$arrDay selected=$arrForm.day}-->
-	</select>日<br>
-
-	<!--{assign var=key1 value="zip01"}-->
-	<!--{assign var=key2 value="zip02"}-->
-	【郵便番号】<font color="#FF0000">*</font><br>
-	<font color="#FF0000"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></font>
-	<!--{assign var="size1" value="`$smarty.const.ZIP01_LEN+2`"}-->
-	<!--{assign var="size2" value="`$smarty.const.ZIP02_LEN+2`"}-->
-	<input size="<!--{$size1}-->" type="text" name="zip01" value="<!--{if $arrForm.zip01 == ""}--><!--{$arrForm.zip01|h}--><!--{else}--><!--{$arrForm.zip01|h}--><!--{/if}-->" maxlength="<!--{$smarty.const.ZIP01_LEN}-->" istyle="4">
-	&nbsp;-&nbsp;
-	<input size="<!--{$size2}-->" type="text" name="zip02" value="<!--{if $arrForm.zip02 == ""}--><!--{$arrForm.zip02|h}--><!--{else}--><!--{$arrForm.zip02|h}--><!--{/if}-->" maxlength="<!--{$smarty.const.ZIP02_LEN}-->" istyle="4"><br>
-
-	<input type="submit" name="confirm" value="次へ"><br>
-	<input type="submit" name="return" value="戻る">
-
-	<!--{foreach from=$list_data key=key item=item}-->
-		<input type="hidden" name="<!--{$key|h}-->" value="<!--{$item|h}-->">
-	<!--{/foreach}-->
-</form>
-
-<br>
-<hr>
-
-<a href="<!--{$smarty.const.MOBILE_CART_URL_PATH}-->" accesskey="9"><!--{9|numeric_emoji}-->かごを見る</a><br>
-<a href="<!--{$smarty.const.MOBILE_TOP_URL_PATH}-->" accesskey="0"><!--{0|numeric_emoji}-->TOPページへ</a><br>
-
-<br>
-
-<!-- ▼フッター ここから -->
-<!--{include file='footer.tpl'}-->
-<!-- ▲フッター ここまで -->
Index: anches/version-2_5-dev/data/Smarty/templates/mobile/mypage/set2.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/set2.tpl	(revision 19835)
+++ 	(revision )
@@ -1,85 +1,0 @@
-<!--{*
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-*}-->
-<div align="center">登録内容変更 3/3</div>
-<hr>
-<form name="form1" method="post" action="?">
-	<input type="hidden" name="mode" value="confirm">
-
-	<font color="#FF0000">*は必須項目です。</font><br>
-	<br>
-
-	【都道府県】<font color="#FF0000">*</font><br>
-	<font color="#FF0000"><!--{$arrErr.pref}--></font>
-	<select name="pref">
-		<option value="">都道府県を選択</option>
-		<!--{html_options options=$arrPref selected=$arrForm.pref}-->
-	</select><br>
-
-	【住所1】<font color="#FF0000">*</font><br>
-	<font color="#FF0000"><!--{$arrErr.addr01}--></font>
-	<input type="text" name="addr01" value="<!--{$arrForm.addr01|h}-->" istyle="1"><br>
-
-	【住所2】<font color="#FF0000">*</font><br>
-	<font color="#FF0000"><!--{$arrErr.addr02}--></font>
-	<input type="text" name="addr02" value="<!--{$arrForm.addr02|h}-->" istyle="1"><br>
-
-	【電話番号】<font color="#FF0000">*</font><br>
-	<font color="#FF0000"><!--{$arrErr.tel01}--><!--{$arrErr.tel02}--><!--{$arrErr.tel03}--></font>
-	<!--{assign var="size" value="`$smarty.const.TEL_ITEM_LEN+2`"}-->
-	<input type="text" size="<!--{$size}-->" name="tel01" value="<!--{$arrForm.tel01|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" istyle="4">
-	&nbsp;-&nbsp;
-	<input type="text" size="<!--{$size}-->" name="tel02" value="<!--{$arrForm.tel02|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" istyle="4">
-	&nbsp;-&nbsp;
-	<input type="text" size="<!--{$size}-->" name="tel03" value="<!--{$arrForm.tel03|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" istyle="4"><br>
-
-	【メールマガジン】<br>
-	お得な情報を希望されますか？<br>
-	配信希望<input type="checkbox" name="mailmaga_flg" value="on" <!--{if $arrForm.mailmaga_flg eq '2'}-->checked<!--{/if}--> /><br>
-	（希望されない場合はチェックをはずしてください）<br>
-	<br>
-
-	<input type="hidden" name="fax01" value="<!--{$arrForm.fax01|h}-->">
-	<input type="hidden" name="fax02" value="<!--{$arrForm.fax02|h}-->">
-	<input type="hidden" name="fax03" value="<!--{$arrForm.fax03|h}-->">
-	<input type="hidden" name="job" value="<!--{$arrForm.job|h}-->">
-
-	<input type="submit" name="confirm" value="次へ"><br>
-	<input type="submit" name="return" value="戻る">
-
-	<!--{foreach from=$list_data key=key item=item}-->
-		<input type="hidden" name="<!--{$key|h}-->" value="<!--{$item|h}-->">
-	<!--{/foreach}-->
-</form>
-
-<br>
-<hr>
-
-<a href="<!--{$smarty.const.MOBILE_CART_URL_PATH}-->" accesskey="9"><!--{9|numeric_emoji}-->かごを見る</a><br>
-<a href="<!--{$smarty.const.MOBILE_TOP_URL_PATH}-->" accesskey="0"><!--{0|numeric_emoji}-->TOPページへ</a><br>
-
-<br>
-
-<!-- ▼フッター ここから -->
-<!--{include file='footer.tpl'}-->
-<!-- ▲フッター ここまで -->
